Retrieves all blocklist rules that apply across all domains in the authenticated user’s account.
curl --request GET \
--url https://api.jetemail.com/inbound/account/blocklist \
--header 'Authorization: Bearer <token>'{
"success": true,
"rules": [
{
"id": 1,
"name": "Block spam domain",
"description": "Block all emails from known spam domain",
"priority": 10,
"action": "DENY",
"userId": "<string>",
"organizationId": "<string>",
"enabled": 1,
"deleted": 0,
"last_modified": 1735689600,
"conditions": {
"senders": [
{
"sender_type": "email",
"sender_value": "spam-domain.com"
}
],
"recipients": [
{
"recipient_type": "email",
"recipient_value": "<string>"
}
],
"subjects": [
{
"match_type": "exact",
"subject_value": "<string>",
"case_sensitive": 0
}
],
"headers": [
{
"header_name": "<string>",
"match_type": "exact",
"header_value": "<string>",
"case_sensitive": 0
}
],
"ips": [
{
"ip_type": "single",
"ip_value": "192.168.1.100"
}
],
"size": {
"min_size": 123,
"max_size": 123
},
"attachments": [
{
"match_type": "filename",
"match_value": "<string>",
"case_sensitive": 0
}
]
}
}
]
}curl --request GET \
--url https://api.jetemail.com/inbound/account/blocklist \
--header 'Authorization: Bearer <token>'{
"success": true,
"rules": [
{
"id": 1,
"name": "Block spam domain",
"description": "Block all emails from known spam domain",
"priority": 10,
"action": "DENY",
"userId": "<string>",
"organizationId": "<string>",
"enabled": 1,
"deleted": 0,
"last_modified": 1735689600,
"conditions": {
"senders": [
{
"sender_type": "email",
"sender_value": "spam-domain.com"
}
],
"recipients": [
{
"recipient_type": "email",
"recipient_value": "<string>"
}
],
"subjects": [
{
"match_type": "exact",
"subject_value": "<string>",
"case_sensitive": 0
}
],
"headers": [
{
"header_name": "<string>",
"match_type": "exact",
"header_value": "<string>",
"case_sensitive": 0
}
],
"ips": [
{
"ip_type": "single",
"ip_value": "192.168.1.100"
}
],
"size": {
"min_size": 123,
"max_size": 123
},
"attachments": [
{
"match_type": "filename",
"match_value": "<string>",
"case_sensitive": 0
}
]
}
}
]
}